<!doctype html>
<!--
 Copyright © VNG Realisatie 2023
 Licensed under the EUPL
-->

<html lang="{{ .I18n.Locale }}">
    <head>
        <meta charset="utf-8" />
        <meta
            name="viewport"
            content="width=device-width, initial-scale=1, shrink-to-fit=no"
        />

        <link
            rel="stylesheet"
            type="text/css"
            href="{{ asset "styling/main.scss" }}"
        />
        <link rel="icon" type="image/x-icon" href="{{ asset "favicon.ico" }}" />

        <title>
            {{ .BaseAuthenticatedPage.Title }} -
            {{ .BaseAuthenticatedPage.Peer.Name }}
        </title>
    </head>
    <body>
        <div id="root">
            <div class="app">
                <div class="authenticated-page-template">
                    <a
                        href="#"
                        class="authenticated-page-template__skip-to-content"
                        >{{ i18n "Go to content" }}</a
                    >

                    <nav
                        class="authenticated-page-template__primary-navigation"
                        aria-labelledby="nlx-home"
                    >
                        <ul>
                            <li>
                                <a
                                    href="{{ .PathActionsPage }}"
                                    class="authenticated-page-template__primary-navigation__home-link"
                                >
                                    {{ svg "fsc-controller-logo" "" }}
                                </a>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathDirectoryPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item {{ if eq .PrimaryNavigationActivePath .PathDirectoryPage }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Directory page" }}"
                                >
                                    {{ svg "icon-directory" "icon icon--xlarge" }}
                                    {{ i18n "Directory" }}
                                </a>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathPeersPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item {{ if eq .PrimaryNavigationActivePath .PathPeersPage }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Peers page" }}"
                                >
                                    {{ svg "icon-organization" "icon icon--xlarge" }}
                                    {{ i18n "Peers" }}
                                </a>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathServicesPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item
                                    {{ if or
                                        (eq .PrimaryNavigationActivePath .PathServicesPage)
                                        (eq .PrimaryNavigationActivePath .PathPublicationsPage)
                                    }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Services page" }}"
                                >
                                    {{ svg "icon-services" "icon icon--xlarge" }}
                                    {{ i18n "Services" }}
                                </a>

                                <ul>
                                    <li>
                                        <a
                                            href="{{ .PathServicesPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathServicesPage) }}
                                                active
                                            {{ end }}"
                                            >{{ i18n "Services" }}</a
                                        >
                                    </li>
                                    <li>
                                        <a
                                            href="{{ .PathPublicationsPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathPublicationsPage) }}
                                                active
                                            {{ end }}"
                                            >{{ i18n "Publications" }}</a
                                        >
                                    </li>
                                </ul>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathInwaysOutwaysPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item {{ if eq .PrimaryNavigationActivePath .PathInwaysOutwaysPage }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "In- & Outways page" }}"
                                >
                                    {{ svg "icon-inways-and-outways" "icon icon--xlarge" }}
                                    {{ i18n "In- & Outways" }}
                                </a>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathActionsPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item {{ if eq .PrimaryNavigationActivePath .PathActionsPage }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Actions page" }}"
                                >
                                    {{ svg "icon-notification-4-fill" "icon icon--xlarge" }}
                                    {{ i18n "Actions" }}
                                </a>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathIncomingConnectionsPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item
                                    {{ if or
                                        (eq .PrimaryNavigationActivePath .PathIncomingConnectionsPage)
                                        (eq .PrimaryNavigationActivePath .PathOutgoingConnectionsPage)
                                    }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Connections page" }}"
                                >
                                    {{ svg "icon-contracts" "icon icon--xlarge" }}
                                    {{ i18n "Verbindingen" }}
                                </a>

                                <ul>
                                    <li>
                                        <a
                                            href="{{ .PathIncomingConnectionsPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathIncomingConnectionsPage) }}
                                                active
                                            {{ end }}"
                                        >
                                            {{ i18n "Incoming Connections" }}
                                        </a>
                                    </li>

                                    <li>
                                        <a
                                            href="{{ .PathOutgoingConnectionsPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathOutgoingConnectionsPage) }}
                                                active
                                            {{ end }}"
                                        >
                                            {{ i18n "Outgoing Connections" }}
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathDelegatedConnectionsPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item
                                    {{ if or
                                        (eq .PrimaryNavigationActivePath .PathDelegatedConnectionsPage)
                                        (eq .PrimaryNavigationActivePath .PathDelegatedPublicationsPage)
                                    }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Delegations page" }}"
                                >
                                    {{ svg "icon-shake-hands-line" "icon icon--xlarge" }}
                                    {{ i18n "Delegations" }}
                                </a>

                                <ul>
                                    <li>
                                        <a
                                            href="{{ .PathDelegatedConnectionsPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathDelegatedConnectionsPage) }}
                                                active
                                            {{ end }}"
                                        >
                                            {{ i18n "Delegated Connections" }}
                                        </a>
                                    </li>

                                    <li>
                                        <a
                                            href="{{ .PathDelegatedPublicationsPage }}"
                                            class="{{ if (eq .PrimaryNavigationActivePath .PathDelegatedPublicationsPage) }}
                                                active
                                            {{ end }}"
                                        >
                                            {{ i18n "Delegated Publications" }}
                                        </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>

                        <ul>
                            <li>
                                <a
                                    href="{{ .PathTransactionLogsPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item
                                    {{ if or (eq .PrimaryNavigationActivePath .PathTransactionLogsPage)
                                        (eq .PrimaryNavigationActivePath .PathAuditLogsPage)
                                    }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Transaction logs page" }}"
                                >
                                    {{ svg "icon-bar-chart-2-fill" "icon icon--xlarge" }}
                                    {{ i18n "Logs" }}
                                </a>

                                <ul>
                                    <li>
                                        <a
                                            href="{{ .PathTransactionLogsPage }}"
                                            class="{{ if eq .PrimaryNavigationActivePath .PathTransactionLogsPage }}
                                                active
                                            {{ end }}"
                                            aria-label="{{ i18n "Transaction logs page" }}"
                                        >
                                            {{ i18n "Transaction logs" }}
                                        </a>
                                    </li>

                                    <li>
                                        <a
                                            href="{{ .PathAuditLogsPage }}"
                                            class="{{ if eq .PrimaryNavigationActivePath .PathAuditLogsPage }}
                                                active
                                            {{ end }}"
                                            aria-label="{{ i18n "Audit Logs page" }}"
                                        >
                                            {{ i18n "Audit Logs" }}
                                        </a>
                                    </li>
                                </ul>
                            </li>

                            <li>
                                <a
                                    href="{{ .PathContractsPage }}"
                                    class="authenticated-page-template__primary-navigation__menu-item {{ if eq .PrimaryNavigationActivePath .PathContractsPage }}
                                        active
                                    {{ end }}"
                                    aria-label="{{ i18n "Contracts page" }}"
                                >
                                    {{ svg "icon-contracts" "icon icon--xlarge" }}
                                    {{ i18n "Contracts" }}
                                </a>
                            </li>
                        </ul>
                    </nav>

                    <div class="authenticated-page-template__main-wrapper">
                        <main class="authenticated-page-template__main">
                            {{ block "authenticated-page-header" . }}
                                <div
                                    class="authenticated-page-template__header"
                                >
                                    <h1
                                        class="authenticated-page-template__header__title"
                                    >
                                        {{ .BaseAuthenticatedPage.Title }}
                                    </h1>

                                    <div
                                        class="authenticated-page-template__header__items"
                                    >
                                        <span
                                            class="authenticated-page-template__header__organization-info"
                                        >
                                            {{ .BaseAuthenticatedPage.Peer.Name }}
                                            <br />
                                            <small
                                                >{{ i18n "Peer ID" }}
                                                {{ .BaseAuthenticatedPage.Peer.ID }}</small
                                            >
                                        </span>

                                        <div
                                            class="authenticated-page-template__header__user-navigation"
                                        >
                                            <details>
                                                <summary>
                                                    <figure
                                                        class="authenticated-page-template__header__user-navigation__avatar"
                                                    >
                                                        <img
                                                            src="{{ asset "img/dummy-avatar.svg" }}"
                                                            alt="{{ i18n "Avatar" }}"
                                                        />
                                                    </figure>

                                                    <span
                                                        class="authenticated-page-template__header__user-navigation__username"
                                                    >
                                                        {{ .BaseAuthenticatedPage.Username }}
                                                    </span>
                                                    {{ svg "icon-chevron-down" "authenticated-page-template__header__user-navigation__toggle-icon" }}
                                                </summary>
                                                <p
                                                    class="authenticated-page-template__header__user-navigation__menu"
                                                >
                                                    <a
                                                        href="{{ .BaseAuthenticatedPage.LogoutURL }}"
                                                    >
                                                        {{ svg "icon-shut-down-line" "icon" }}
                                                        {{ i18n "Log out" }}
                                                    </a>
                                                </p>
                                            </details>
                                        </div>
                                    </div>
                                </div>

                                <p
                                    class="authenticated-page-template__description"
                                >
                                    {{ if eq .BaseAuthenticatedPage.Description "" }}
                                        &nbsp;
                                    {{ else }}
                                        {{ .BaseAuthenticatedPage.Description }}
                                    {{ end }}
                                </p>
                            {{ end }}

                            {{ block "content" . }}
                                Default content
                            {{ end }}
                        </main>
                    </div>
                </div>
            </div>
        </div>

        <script>
            window.config = {
                locale: "{{ .Locale }}",
                csrfToken:'{{ .CsrfToken }}'
            };
        </script>
        <script src="{{ asset "js/index.js" }}"></script>
        <script src="{{ asset "js/copy.js" }}"></script>
    </body>
</html>
